#include <iostream>
#include <map>
#include <string>
#include <cstdio>
using namespace std;

//KNP - 012

int knp(int c, char * str)
{
	switch (c)
	{
	case 0: // cz
		if (str[0] == 'K') return 0;
		if (str[0] == 'N') return 1;
		if (str[0] == 'P') return 2;
		break;	
	case 1: //en
		if (str[0] == 'R') return 0;
		if (str[0] == 'S') return 1;
		if (str[0] == 'P') return 2;
		break;	
	case 2: // fr
		if (str[0] == 'P') return 0;
		if (str[0] == 'C') return 1;
		if (str[0] == 'F') return 2;
		break;	
	case 3: // de
		if (str[1] == 't') return 0;
		if (str[1] == 'c') return 1;
		if (str[1] == 'a') return 2;
		break;	
	case 4: // hu
		if (str[0] == 'K') return 0;
		if (str[0] == 'O') return 1;
		if (str[0] == 'P') return 2;
		break;	
	case 5: // it
		if (str[0] == 'S') return 0;
		if (str[0] == 'F') return 1;
		if (str[0] == 'C') return 2;
		
		if (str[1] == 'o') return 0;
		if (str[1] == 'e') return 2;
		
		break;	
	case 6: // jp
		if (str[0] == 'G') return 0;
		if (str[0] == 'C') return 1;
		if (str[0] == 'P') return 2;
		break;
	case 7: // pl
		if (str[0] == 'K') return 0;
		if (str[0] == 'N') return 1;
		if (str[0] == 'P') return 2;
		break;	
	case 8: // es
		if (str[2] == 'e') return 0;
		if (str[2] == 'j') return 1;
		if (str[2] == 'p') return 2;
		break;	
	}
}

int country(char * str)
{
	if (str[0] == 'c') return 0;
	if (str[0] == 'e')
	{
		if (str[1] == 'n') return 1;
		if (str[1] == 's') return 8;
	}
	if (str[0] == 'f') return 2;
	if (str[0] == 'd') return 3;
	if (str[0] == 'h') return 4;
	if (str[0] == 'i') return 5;
	if (str[0] == 'j') return 6;
	if (str[0] == 'p') return 7;
}

int win(int a, int b)
{
	if (a == b) return 0;
	if ((a+1) % 3 == b) return 1;
	return -1;
}

char name1[100], name2[100];
char input[100];
int main()
{
	bool end = false;
	int game = 0;
	while (!end)
	{
		++game;
		
		int c1, c2;
		scanf("%s ", input);
		
		c1 = country(input);
		scanf("%s %s %s", name1, input, name2);
		c2 = country(input);
		
		int win1 = 0, win2 = 0;
		while (1)
		{
			int knp1, knp2;
			scanf("%s ", input);
			if (input[0] == '.') { end = true; break; }
			if (input[0] == '-') break;
			
			knp1 = knp(c1, input);
			scanf("%s ", input);
			knp2 = knp(c2, input);
			
			int res = win(knp1, knp2);
			if (res == 1) ++win1;
			if (res == -1) ++win2;
		}
		
		printf("Game #%d:\n", game);
		
		printf("%s: %d point", name1, win1);
		if (win1 != 1) printf("s");
		printf("\n");
		
		printf("%s: %d point", name2, win2);
		if (win2 != 1) printf("s");
		printf("\n");
		
		if (win1 == win2) printf("TIED GAME\n");
		else
		{
			printf("WINNER: ");
			if (win1 > win2) printf("%s\n", name1);
			else printf("%s\n", name2);
		}
		
		printf("\n");
	}
	
	return 0;
}

